  const para_size = 32;

  type alpha = packed array [0..7] of char;

       CFHeader = packed record
	 magic:   word; 	   {    $c0de (Positive Byte Sex) }
	 Wsz,						{ word size (16 bits) }
	 Bsx:	  byte; 			       { Byte sex (must be 0) }
	 VerMaj,			     { Major version of code file (1) }
	 VerMin:  ShortCard;		 { Minor version of code file (0..10) }
	 unused:  word;
	 ParaSz,				  {    (32) }
         BlckSz:  Cardinal;                 {     (512) }
	 Fmodule: Cardinal;		  {       }
	 case boolean of
	   false: (fill2paragraph: array [0..8] of word);
	   true:  (unused_: array [0..4] of word;
		   CheckSum: LongWord; { only if CheckSum program is executed }
		   SerialNo: LongWord);      { of a compiler/linker/optimizer }
       end { CFHeader };

       ModDescriptor = packed record
         name:    alpha;                                        { Module name }
         version: Cardinal;                                  { Module version }
         date,                                  { date of compilation (Bsex+) }
         time:    word;                         { time of compilation (Bsex+) }
         next:    cardinal;     {     e  Module }
         Mseg:    cardinal;                         { Main segment descriptor }
         Lang:    word;                                            { Language }
         CinfoSt,                  { Start of compiler information (block No) }
         CinfoSz: cardinal;         { Size of compiler information (in bytes) }
         UsageP:  cardinal;    { paragraph No of first element in usage queue }
         unused:  LongInt;
         ExtMods,                        { number of external modules (units) }
         IntSegs: ShortCard;                    { number of internal segments }
       end { ModDescriptor };

       SegDescriptor = packed record
	 name:	alpha;					     { segment's name }
	 Start, 						{ start block }
	 Size:	  cardinal;				       { segment size }
	 SegNo:   cardinal;			      { segment's internal No }
	 NextSeg: cardinal;			{ next segment (paragraph No) }
	 unused:  array [0..7] of word;
       end { SegDescriptor };

       UsageDescriptor = record
         name:    alpha;                                   { Used Module name }
         version: Cardinal;                             { Used Module version }
         date,                                  { date of compilation (Bsex+) }
         time:    word;                         { time of compilation (Bsex+) }
         next:    cardinal;     {     e  Module }
       end { UsageDescriptor };